Bug 1427449 - [downstream clone - 4.0.7] There is error information during update to RHVH4.1 with "yum update"
Summary: [downstream clone - 4.0.7] There is error information during update to RHVH4....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: imgbased
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.0.7
: ---
Assignee: Ryan Barry
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On: 1427082
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-28 09:11 UTC by rhev-integ
Modified: 2017-03-16 15:40 UTC (History)
17 users (show)

Fixed In Version: imgbased-0.8.15-0.1.el7ev
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1427082
Environment:
Last Closed: 2017-03-16 15:40:17 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0549 normal SHIPPED_LIVE Moderate: redhat-virtualization-host security and bug fix update 2017-03-16 19:26:25 UTC
oVirt gerrit 72999 None None None 2017-02-28 09:11:38 UTC

Description rhev-integ 2017-02-28 09:11:19 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1427082 +++
======================================================================

Created attachment 1257981 [details]
Sosreport and all logs from host

Description of problem:
There is error information during update to RHVH4.1 with "yum update"

Version-Release number of selected component (if applicable):
From:
redhat-virtualization-host-4.0-20160919.0
To:
redhat-virtualization-host-4.1-20170222.0
imgbased-0.9.13-0.1.el7ev.noarch


How reproducible:
100%
Regression bug
Keywords: upgrade

Steps to Reproduce:
1. Clean install redhat-virtualization-host-4.0-20160919.0
2. Reboot and login rhvh 4.0, setup local repos, update to redhat-virtualization-host-4.1-20170222.0:
   # yum update


Actual results:
1. After step 2, there is error information during update to RHVH4.1 with "yum update".
# yum update
Loaded plugins: imgbased-warning, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Warning: yum operations are not persisted across upgrades!
Repo rhel-7-server-rhvh-4-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-debug-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-source-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
Repo rhel-7-server-rhvh-4-beta-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877.pem
Repo rhel-7-server-rhvh-4-beta-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/5858345830546115877-key.pem
rhel-7-server-rhvh-4-beta-debug-rpms                                                                                                           | 2.9 kB  00:00:00    
rhel-7-server-rhvh-4-beta-rpms                                                                                                                 | 2.9 kB  00:00:00    
rhel-7-server-rhvh-4-beta-source-rpms                                                                                                          | 2.9 kB  00:00:00    
rhel-7-server-rhvh-4-debug-rpms                                                                                                                | 2.9 kB  00:00:00    
rhel-7-server-rhvh-4-rpms                                                                                                                      | 2.9 kB  00:00:00    
rhel-7-server-rhvh-4-source-rpms                                                                                                               | 2.9 kB  00:00:00    
(1/6): rhel-7-server-rhvh-4-beta-debug-rpms/primary_db                                                                                         | 1.7 kB  00:00:00    
(2/6): rhel-7-server-rhvh-4-beta-rpms/primary_db                                                                                               | 9.3 kB  00:00:00    
(3/6): rhel-7-server-rhvh-4-source-rpms/primary_db                                                                                             | 4.1 kB  00:00:00    
(4/6): rhel-7-server-rhvh-4-debug-rpms/primary_db                                                                                              | 1.7 kB  00:00:00    
(5/6): rhel-7-server-rhvh-4-beta-source-rpms/primary_db                                                                                        | 4.1 kB  00:00:00    
(6/6): rhel-7-server-rhvh-4-rpms/primary_db                                                                                                    | 9.3 kB  00:00:00    
Resolving Dependencies
--> Running transaction check
---> Package redhat-virtualization-host-image-update.noarch 0:4.1-20170222.0.el7_3 will be obsoleting
---> Package redhat-virtualization-host-image-update-placeholder.noarch 0:4.0-4.2.el7 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================
 Package                                                Arch                  Version                             Repository                                     Size
======================================================================================================================================================================
Installing:
 redhat-virtualization-host-image-update                noarch                4.1-20170222.0.el7_3                rhel-7-server-rhvh-4-beta-rpms                548 M
     replacing  redhat-virtualization-host-image-update-placeholder.noarch 4.0-4.2.el7

Transaction Summary
======================================================================================================================================================================
Install  1 Package

Total download size: 548 M
Is this ok [y/d/N]: y
Downloading packages:
redhat-virtualization-host-image-update-latest.rpm                                                                                             | 548 MB  00:00:07    
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : redhat-virtualization-host-image-update-4.1-20170222.0.el7_3.noarch                                                                                1/2
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/imgbased/__main__.py", line 51, in <module>
    CliApplication()
  File "/usr/lib/python2.7/site-packages/imgbased/__init__.py", line 82, in CliApplication
    app.hooks.emit("post-arg-parse", args)
  File "/usr/lib/python2.7/site-packages/imgbased/hooks.py", line 120, in emit
    cb(self.context, *args)
  File "/usr/lib/python2.7/site-packages/imgbased/plugins/core.py", line 154, in post_argparse
    print(app.imgbase.lv_from_nvr(layer).path)
AttributeError: 'ImageLayers' object has no attribute 'lv_from_nvr'
umount: /tmp/tmp.ec1Z99hKPm: not mounted
umount: /tmp/tmp.ec1Z99hKPm: not mounted
mount:  is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on ,
       missing codepage or helper program, or other error

       In some cases useful info is found in syslog - try
       dmesg | tail or so.
cp: target ‘/tmp/tmp.ec1Z99hKPm/usr/share/imgbased/’ is not a directory
rm: cannot remove ‘/tmp/tmp.ec1Z99hKPm/usr/share/imgbased/*image-update*.rpm’: No such file or directory
umount: /tmp/tmp.ec1Z99hKPm: not mounted
  Erasing    : redhat-virtualization-host-image-update-placeholder-4.0-4.2.el7.noarch                                                                             2/2
  Verifying  : redhat-virtualization-host-image-update-4.1-20170222.0.el7_3.noarch                                                                                1/2
  Verifying  : redhat-virtualization-host-image-update-placeholder-4.0-4.2.el7.noarch                                                                             2/2

Installed:
  redhat-virtualization-host-image-update.noarch 0:4.1-20170222.0.el7_3                                                                                              

Replaced:
  redhat-virtualization-host-image-update-placeholder.noarch 0:4.0-4.2.el7                                                                                            

Complete!


Expected results:
After step2, there should be no error info


Additional info:
1. No such issue when upgrade with "yum install *update*.rpm"
2. No such issue in build redhat-virtualization-host-4.1-20170208.0, so this is regression bug.

(Originally by Huijuan Zhao)

Comment 1 jianwu 2017-03-06 06:27:37 UTC
Hi,
I have verified this bug on redhat-virtualization-host-4.0-20170302.0.x86_64

Version-Release number of selected component (if applicable):
Before upgrade:
rhvh-4.0-0.20160919.1
After upgrade:
redhat-virtualization-host-4.0-20170302.0.x86_64(new build)
imgbased-0.8.15-0.1.el7ev.noarch
kernel-3.10.0-514.10.2.el7.x86_64

Steps to test:
1. Clean install redhat-virtualization-host-4.0-20160919.0
2. Reboot and login rhvh 4.0, setup local repos, update to redhat-virtualization-host-4.1-20170222.0:
   # yum update

Actual results:
No error output when run "yum update"

So I thinks this bug is fixed, I will change status to VERIFIED.

Comment 5 errata-xmlrpc 2017-03-16 15:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0549.html


Note You need to log in before you can comment on or make changes to this bug.